Alacritty no longer support background opacity

Hello,

This is more of an FYI vs a I don't know how to fix something. Recently I started my terminal and at the bottom it stated that background_opacity wasn't supported anymore. A quick google showed me that this was replaced by a value under the window group.

So I'm guessing this is already fixed, but again because this is part of the /etc/skel that gets copied over on new users this will probably show up for people that use the sway implementation and haven't customized it.

background_opacity: {your value}

needs to change to

window:
    opacity: {your value here}
System:
  Kernel: 5.16.2-zen1-1-zen x86_64 bits: 64 compiler: gcc v: 11.1.0
    parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-zen
    root=UUID=5ea32362-776b-4a64-a2e7-1e1492b1137b rw [email protected]
    quiet splash rd.udev.log_priority=3 vt.global_cursor_default=0
    systemd.unified_cgroup_hierarchy=1
    resume=UUID=99213909-149f-4663-8cb0-b7431f100328 loglevel=3
  Desktop: sway 1.6.1 vt: 1 dm: N/A Distro: Garuda Linux base: Arch Linux
Machine:
  Type: Laptop System: Dell product: XPS 13 9350 v: N/A
    serial: <superuser required> Chassis: type: 9
    serial: <superuser required>
  Mobo: Dell model: 0PWNCR v: A01 serial: <superuser required> UEFI: Dell
    v: 1.11.1 date: 08/01/2019
Battery:
  ID-1: BAT0 charge: 11.9 Wh (36.8%) condition: 32.3/56.0 Wh (57.7%)
    volts: 7.3 min: 7.6 model: LGC-LGC7.3 DELL 5K9CP5A type: Li-ion
    serial: <filter> status: Discharging
CPU:
  Info: model: Intel Core i7-6500U bits: 64 type: MT MCP arch: Skylake
    family: 6 model-id: 0x4E (78) stepping: 3 microcode: 0xEA
  Topology: cpus: 1x cores: 2 tpc: 2 threads: 4 smt: enabled cache:
    L1: 128 KiB desc: d-2x32 KiB; i-2x32 KiB L2: 512 KiB desc: 2x256 KiB
    L3: 4 MiB desc: 1x4 MiB
  Speed (MHz): avg: 500 min/max: 400/3100 scaling: driver: intel_pstate
    governor: powersave cores: 1: 500 2: 500 3: 500 4: 500 bogomips: 20799
  Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx
  Vulnerabilities:
  Type: itlb_multihit status: KVM: VMX disabled
  Type: l1tf
    mitigation: PTE Inversion; VMX: conditional cache flushes, SMT vulnerable
  Type: mds mitigation: Clear CPU buffers; SMT vulnerable
  Type: meltdown mitigation: PTI
  Type: spec_store_bypass
    mitigation: Speculative Store Bypass disabled via prctl
  Type: spectre_v1
    mitigation: usercopy/swapgs barriers and __user pointer sanitization
  Type: spectre_v2 mitigation: Full generic retpoline, IBPB: conditional,
    IBRS_FW, STIBP: conditional, RSB filling
  Type: srbds mitigation: Microcode
  Type: tsx_async_abort status: Not affected
Graphics:
  Device-1: Intel Skylake GT2 [HD Graphics 520] vendor: Dell driver: i915
    v: kernel bus-ID: 00:02.0 chip-ID: 8086:1916 class-ID: 0300
  Device-2: Microdia Integrated Webcam HD type: USB driver: uvcvideo
    bus-ID: 1-5:4 chip-ID: 0c45:670c class-ID: 0e02
  Display: wayland server: N/A compositor: sway v: 1.6.1 driver:
    loaded: i915 note: n/a (using device driver) display-ID: 1
    resolution: <missing: xdpyinfo>
  Message: Unable to show advanced data. Required tool glxinfo missing.
Audio:
  Device-1: Intel Sunrise Point-LP HD Audio vendor: Dell
    driver: snd_hda_intel v: kernel alternate: snd_soc_skl bus-ID: 00:1f.3
    chip-ID: 8086:9d70 class-ID: 0403
  Sound Server-1: ALSA v: k5.16.2-zen1-1-zen running: yes
  Sound Server-2: sndio v: N/A running: no
  Sound Server-3: PulseAudio v: 15.0 running: no
  Sound Server-4: PipeWire v: 0.3.43 running: yes
Network:
  Device-1: Intel Wireless 7265 driver: iwlwifi v: kernel bus-ID: 3a:00.0
    chip-ID: 8086:095a class-ID: 0280
  IF: wlp58s0 state: up mac: <filter>
Bluetooth:
  Device-1: Intel Bluetooth wireless interface type: USB driver: btusb
    v: 0.8 bus-ID: 1-3:3 chip-ID: 8087:0a2a class-ID: e001
  Report: bt-adapter ID: hci0 rfk-id: 2 state: down
    bt-service: enabled,running rfk-block: hardware: no software: no
    address: <filter>
RAID:
  Hardware-1: Intel 82801 Mobile SATA Controller [RAID mode] driver: ahci
    v: 3.0 port: f060 bus-ID: 00:17.0 chip-ID: 8086:282a rev: N/A
    class-ID: 0104
Drives:
  Local Storage: total: 465.76 GiB used: 20.6 GiB (4.4%)
  SMART Message: Required tool smartctl not installed. Check --recommends
  ID-1: /dev/sda maj-min: 8:0 vendor: Samsung
    model: SSD 860 EVO M.2 500GB size: 465.76 GiB block-size: physical: 512 B
    logical: 512 B speed: 6.0 Gb/s type: SSD serial: <filter> rev: 2B6Q
    scheme: GPT
Partition:
  ID-1: / raw-size: 456.66 GiB size: 456.66 GiB (100.00%)
    used: 20.6 GiB (4.5%) fs: btrfs dev: /dev/sda2 maj-min: 8:2
  ID-2: /boot/efi raw-size: 300 MiB size: 299.4 MiB (99.80%)
    used: 576 KiB (0.2%) fs: vfat dev: /dev/sda1 maj-min: 8:1
  ID-3: /home raw-size: 456.66 GiB size: 456.66 GiB (100.00%)
    used: 20.6 GiB (4.5%) fs: btrfs dev: /dev/sda2 maj-min: 8:2
  ID-4: /var/log raw-size: 456.66 GiB size: 456.66 GiB (100.00%)
    used: 20.6 GiB (4.5%) fs: btrfs dev: /dev/sda2 maj-min: 8:2
  ID-5: /var/tmp raw-size: 456.66 GiB size: 456.66 GiB (100.00%)
    used: 20.6 GiB (4.5%) fs: btrfs dev: /dev/sda2 maj-min: 8:2
Swap:
  Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default)
  ID-1: swap-1 type: zram size: 7.63 GiB used: 0 KiB (0.0%) priority: 100
    dev: /dev/zram0
  ID-2: swap-2 type: partition size: 8.8 GiB used: 0 KiB (0.0%)
    priority: -2 dev: /dev/sda3 maj-min: 8:3
Sensors:
  System Temperatures: cpu: 43.0 C pch: 38.0 C mobo: 31.0 C
    sodimm: SODIMM C
  Fan Speeds (RPM): cpu: 0
Info:
  Processes: 264 Uptime: 1d 40m wakeups: 4 Memory: 7.63 GiB
  used: 2.51 GiB (32.8%) Init: systemd v: 250 tool: systemctl Compilers:
  gcc: 11.1.0 clang: 13.0.0 Packages: pacman: 1279 lib: 318 Shell: Zsh
  v: 5.8 running-in: alacritty inxi: 3.3.12
Garuda:
  System install date:     2021-12-08
  Last full system update: 2022-01-23
  Is partially upgraded:   No
  Using TLP:               No
  Windows dual boot:       No/Undetected

Mine came up with the same banner warning just now too.

Heads-up: there is also an alacritty.yml config file at ~/.config/alacritty/alacritty.yml (to allow alacritty config to be customized without modifying /etc/skel/.config/alacritty/alacritty.yml. My guess would be they both should be modified.

background_opacity: is line 61, unless additional lines have been added to the config.

@snugglej my banner warning stated the replacement for background_opacity: should be window.opacity:, but your message above has it split into two separate lines with another semicolon instead of a dot. I don't know if that is another way to write the same thing or not?

2 Likes

@BluishHumility I did the same and it worked.

1 Like

Everyone who ships a custom Alacritty.yml with opacity has to fix the config like this:

4 Likes

And here from yesterday Problem with Alacritty after Garuda update

gitlab says the package is deprecated, though, does it mean there's a newer version of the .yml somewhere else?
BTW that yml above WORKS, I'm just asking if it's normal gitlab says it's deprecated even if it would not be. :slight_smile:

The window.opacity is the way they represent it in the error message but when I tried it that didn't work. I then found the window section and added the opacity key under it and that worked.

So you will want to make sure it matches what I put in my comment if you have this problem and you want to fix it the way I did.

1 Like

Yep, same. I basically indented under Window: in the ~/.config/alacritty/alacritty.yml file, then just added Opacity: 0.6 and as soon as I saved the file, alacritty changed the opacity.

2 Likes

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.